Subject: Re: [PATCH v5 3/3] push: teach --recurse-submodules the on-demand option

From: Zbigniew Jędrzejewski-Szmek <[email-masked]>
Date: Mon, 26 Mar 2012 23:22:49 +0200

On 02/13/2012 10:30 AM, Heiko Voigt wrote:
> When using this option git will search for all submodules that
> have changed in the revisions to be send. It will then try to
> push the currently checked out branch of each submodule.
>
> This helps when a user has finished working on a change which
> involves submodules and just wants to push everything in one go.

> ---recurse-submodules=check::
> -	Check whether all submodule commits used by the revisions to be
> -	pushed are available on a remote tracking branch. Otherwise the
> -	push will be aborted and the command will exit with non-zero status.
> +--recurse-submodules=<check|on-demand>::
> +	Make sure all submodule commits used by the revisions to be
> +	pushed are available on a remote tracking branch. If check is
> +	used it will be checked that all submodule commits that changed
> +	in the revisions to be pushed are available on a remote.
> +	Otherwise the push will be aborted and exit with non-zero
> +	status. If on-demand is used all submodules that changed in the
> +	revisions to be pushed will be pushed. If on-demand was not able
> +	to push all necessary revisions it will also be aborted and exit
> +	with non-zero status.
Hi,
this desciption seems awkward. Not sure how to improve it, but:
- the argument 'check' is changed to '<check|on-demand>', i.e. brackets 
are added. This changes the meaning, because brackets are used around a 
name for a value provided by the user. So here brackets shouldn't be 
used, because 'check' and 'on-demand' are literals.
- s/if check is used it will be checked/if check is used git will verify 
that/
- s/a remote/the remote/
- s/Otherwise the push/If any commits are missing the push/ (because 
'Otherwise' could refer to 'If check is used'.)

Zbyszek